using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace TryReact.Controllers
{
    public class ReactController : Controller
    {
        // GET: React
        public ActionResult Index()
        {
            return View();
        }


        public ActionResult Test1_Say(string s)
        {
            if (string.IsNullOrEmpty(s))
                s = "Silence";

            var tuple = new Tuple<string>(s);

            return View(tuple);
        }

        public ActionResult Test2_Components()
        {
            return View();
        }

        public ActionResult Test3_Props(string s1, string s2)
        {
            if (string.IsNullOrEmpty(s1))
                s1 = "Silence1";
            if (string.IsNullOrEmpty(s2))
                s2 = "Silence2";

            var tuple = new Tuple<string, string>(s1, s2);

            return View(tuple);
        }

        public ActionResult Test4_State()
        {
            return View();
        }

        public ActionResult Test5_Event()
        {
            //В общем то уже затронуто в 4 пункте
            return View();
        }

        public ActionResult Test6_ParentChild()
        {
            return View();
        }

    }
}